Add dependency generation for .api files